> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Azure Stt Token

> 获取 Azure Speech-to-Text Token

:param subscription_key: Azure Speech 服务的订阅密钥
:param region: 服务所在区域（例如：eastus, westeurope）
:return: 访问令牌（JWT Token）



## OpenAPI

````yaml https://api.gbase.ai/openapi-redoc.json get /v1/stt_token
openapi: 3.1.0
info:
  title: GBase
  description: >
    # Introduce

    This API document can help you understand GBase more deeply. 

    You can train your own AI directly through the interface of this document.



    ##  Authentication


    Home page: [https://gbase.ai](https://gbase.ai)


    Huggingface:
    [https://huggingface.co/gptbase](https://huggingface.co/gptbase)


    The GBase API uses API keys for authentication. Visit your API Keys page to
    retrieve the API key you'll use in your requests.


    Remember that your API key is a secret! Do not share it with others or
    expose it in any client-side code (browsers, apps). 

    Production requests must be routed through your own backend server where
    your API key can be securely loaded from an environment variable or key
    management service.


    All API requests should include your API key in an Authorization HTTP header
    as follows:


    Parameter name: Authorization


    Value: Bearer [YOUR_API_KEY](https://admin.gbase.ai/keys)


    ```

    Authorization: Bearer YOUR_API_KEY

    ```


    ## Use steps

    1.Fill in your API keys.


    2.You can create an AI by using either the API interface or the
    administrative backend. Once created, the AI will generate an ID which will
    be required for the subsequent steps.


    3.Use the generated ID to call the file upload interface.


    4.After uploading the file, you can use the question interface to inquire
    about it.
  version: 0.0.1
servers:
  - url: https://api.gbase.ai
security: []
paths:
  /v1/stt_token:
    get:
      summary: Get Azure Stt Token
      description: |-
        获取 Azure Speech-to-Text Token

        :param subscription_key: Azure Speech 服务的订阅密钥
        :param region: 服务所在区域（例如：eastus, westeurope）
        :return: 访问令牌（JWT Token）
      operationId: get_azure_stt_token_v1_stt_token_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}

````